<div class="page-layout blank p-24">
    <div fxLayout="row" fxLayoutAlign="space-between center" fxLayoutGap="20px">
        <div fxFlex="100" class="mat-elevation-z8">
            <mat-card class="example-card">
                <mat-card-header>
                    <div mat-card-avatar class="example-header-image"></div>
                    <mat-card-title>Payments</mat-card-title>
                </mat-card-header>


                <mat-card-content>


                    <table mat-table [dataSource]="dataSource">

                        <ng-container matColumnDef="firstName">
                            <th mat-header-cell *matHeaderCellDef> First name</th>
                            <td mat-cell *matCellDef="let element"> {{element.firstName}} </td>
                        </ng-container>
                        <ng-container matColumnDef="lastName">
                            <th mat-header-cell *matHeaderCellDef> Last name</th>
                            <td mat-cell *matCellDef="let element"> {{element.lastName}} </td>
                        </ng-container>
                        <ng-container matColumnDef="consultationDate">
                            <th mat-header-cell *matHeaderCellDef> Consultation Date</th>
                            <td mat-cell *matCellDef="let element"> {{element.consultationDate}} </td>
                        </ng-container>
                        <ng-container matColumnDef="amount_paid">
                            <th mat-header-cell *matHeaderCellDef> Amount paid</th>
                            <td mat-cell *matCellDef="let element"> {{element.amount_paid}} </td>
                        </ng-container>
                        <ng-container matColumnDef="total">
                            <th mat-header-cell *matHeaderCellDef> Total</th>
                            <td mat-cell *matCellDef="let element"> {{element.total}} </td>
                        </ng-container>
                        <ng-container matColumnDef="status">
                            <th mat-header-cell *matHeaderCellDef> Status</th>
                            <td mat-cell *matCellDef="let element">
                                <span [ngStyle]="{'color': element.status=='1'? 'red':'green' }">
                                {{element.status=='1'? 'Incomplete':'Complete'}}
                            </span>
                            </td>
                        </ng-container>

                        <ng-container matColumnDef="Actions"

                        >
                            <!--                            <mat-header-cell *matHeaderCellDef>Actions</mat-header-cell>-->
                            <th mat-header-cell *matHeaderCellDef> Actions</th>
                            <td *matCellDef="let element">
                                <div class="example-button-container">
                                    <button (click)="goToConsultationOfPayment(element)" mat-mini-fab
                                            color="primary"
                                            aria-label="Example icon button with a home icon">
                                        <mat-icon>visibility</mat-icon>
                                    </button>


                                </div>
                            </td>
                        </ng-container>

                        <tr mat-header-row *matHeaderRowDef="getDisplayedColumns()"></tr>
                        <tr mat-row *matRowDef="let row; columns: getDisplayedColumns();"
                            (click)="selection.toggle(row)">
                        </tr>
                    </table>

                    <mat-paginator #paginator [length]="length" [pageIndex]="pageIndex" [pageSize]="pageSize"
                                   [pageSizeOptions]="[5, 10, 15]" (page)="pageEvent = getServerData($event)"
                                   showFirstLastButtons>

                    </mat-paginator>

                </mat-card-content>

            </mat-card>
        </div>
    </div>


</div>